ros-humble-ros2launch (0.19.8-1bookworm) bookworm; urgency=high

  * Fix url in setup.py (backport #413 <https://github.com/ros2/launch_ros/issues/413>) (#415 <https://github.com/ros2/launch_ros/issues/415>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 24 Nov 2024 16:00:00 -0000

ros-humble-ros2launch (0.19.7-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ros2launch (0.19.6-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-ros2launch (0.19.5-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-ros2launch (0.19.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-ros2launch (0.19.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-ros2launch (0.19.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-ros2launch (0.19.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-ros2launch (0.19.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-ros2launch (0.18.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-ros2launch (0.17.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-humble-ros2launch (0.16.0-1bookworm) bookworm; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Use frontend group dependency & explicit dependencies in ros2launch (#256 <https://github.com/ros2/launch_ros/issues/256>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Contributors: Audrow Nash, Christophe Bedard, Michel Hidalgo

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 28 Nov 2021 16:00:00 -0000

ros-humble-ros2launch (0.15.0-1bookworm) bookworm; urgency=high

  * Add regex filter for selective launch-prefix application (#261 <https://github.com/ros2/launch_ros/issues/261>)
  * Resolves #37 <https://github.com/ros2/launch_ros/issues/37> - Added --launch-prefix argument for 'ros2 launch' command (#254 <https://github.com/ros2/launch_ros/issues/254>)
  * Use sets of file extensions provided by parser extensions (#252 <https://github.com/ros2/launch_ros/issues/252>)
  * Simplify logic to fix absolute paths (#230 <https://github.com/ros2/launch_ros/issues/230>)
  * Contributors: Cameron Miller, Christophe Bedard, rob-clarke

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 06 Oct 2021 16:00:00 -0000

ros-humble-ros2launch (0.14.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-ros2launch (0.14.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-ros2launch (0.14.0-1bookworm) bookworm; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-ros2launch (0.13.0-1bookworm) bookworm; urgency=high

  * Support non-interactive ros2 launch executions (#210 <https://github.com/ros2/launch_ros/issues/210>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-ros2launch (0.12.0-1bookworm) bookworm; urgency=high

  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
  * Move previous maintainer to <author>
  * Update the package.xml files with the latest Open Robotics maintainers
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-ros2launch (0.10.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-ros2launch (0.10.1-1bookworm) bookworm; urgency=high

  * argcomplete is optional (#147 <https://github.com/ros2/launch_ros/issues/147>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-ros2launch (0.10.0-1bookworm) bookworm; urgency=high

  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Rename node-related parameters (#122 <https://github.com/ros2/launch_ros/issues/122>)
  * Legal tab completion of launch files (#126 <https://github.com/ros2/launch_ros/issues/126>)
  * Fix linter by removing unused import (#110 <https://github.com/ros2/launch_ros/issues/110>)
  * Fix misleading deprecated warnings when using launch arguments (#106 <https://github.com/ros2/launch_ros/issues/106>)
  * Use imperative mood in constructor docstrings (#103 <https://github.com/ros2/launch_ros/issues/103>)
  * Contributors: Dirk Thomas, Emerson Knapp, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo, Shane Loretz, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 28 Apr 2020 16:00:00 -0000

ros-humble-ros2launch (0.9.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-ros2launch (0.9.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-humble-ros2launch (0.9.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-ros2launch (0.9.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Fri, 27 Sep 2019 16:00:00 -0000

ros-humble-ros2launch (0.9.0-1bookworm) bookworm; urgency=high

  * install resource marker file for package (#78 <https://github.com/ros2/launch_ros/issues/78>)
  * install package manifest (#71 <https://github.com/ros2/launch_ros/issues/71>)
  * Support xml and yaml files in ros2launch (#40 <https://github.com/ros2/launch_ros/issues/40>)
  * Contributors: Dirk Thomas, ivanpauno

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 24 Sep 2019 16:00:00 -0000

ros-humble-ros2launch (0.8.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 29 May 2019 16:00:00 -0000

ros-humble-ros2launch (0.8.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-ros2launch (0.8.2-1bookworm) bookworm; urgency=high

  * fix calling of print_arguments_of_launch_description() (#27 <https://github.com/ros2/launch_ros/issues/27>)
  * Launch autocomplete doesnt require dot (#24 <https://github.com/ros2/launch_ros/issues/24>)
  * Contributors: Matt Hansen, William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-ros2launch (0.8.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-ros2launch (0.8.0-1bookworm) bookworm; urgency=high

  * Added --show-all-subprocesses-output command line option. (#10 <https://github.com/ros2/launch/issues/10>)
  * Make 'ros2 launch' work again. (#201 <https://github.com/ros2/launch/issues/201>)
  * Added plumb rclpy.init context to get_default_launch_description. (#193 <https://github.com/ros2/launch/issues/193>)
  * Refactored arg print functions (#172 <https://github.com/ros2/launch/issues/172>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Peter Baughman

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-ros2launch (0.7.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-ros2launch (0.7.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 05 Dec 2018 16:00:00 -0000

ros-humble-ros2launch (0.7.1-1bookworm) bookworm; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 15 Nov 2018 16:00:00 -0000

ros-humble-ros2launch (0.7.0-1bookworm) bookworm; urgency=high

  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * See changelog in ``launch`` for details.
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 15 Nov 2018 16:00:00 -0000

ros-humble-ros2launch (0.6.0-1bookworm) bookworm; urgency=high

  * add way to include other Python launch files (launch #122 <https://github.com/ros2/launch/issues/122>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 19 Aug 2018 16:00:00 -0000

ros-humble-ros2launch (0.5.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 16 Jul 2018 16:00:00 -0000

ros-humble-ros2launch (0.5.1-1bookworm) bookworm; urgency=high

  * Improved error handling in the ``ros2 launch`` command line tool. (#93 <https://github.com/ros2/launch/issues/93>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 26 Jun 2018 16:00:00 -0000

ros-humble-ros2launch (0.5.0-1bookworm) bookworm; urgency=high

  * First commit of the ros2launch package and the ros2 launch CLI tool (#76 <https://github.com/ros2/launch/issues/76>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 18 Jun 2018 16:00:00 -0000


